Skip to main content
GET
/
billings
/
list
curl -X GET 'https://api.goatpay.com.br/v1/billings/list?page=1&pageSize=50' \
  -H 'X-API-Key: gp_live_SUA_CHAVE'
{
  "success": true,
  "message": "Lista de cobranças avulsas",
  "data": {
    "items": [{
      "id": "clx_billing",
      "status": "RECEIVED",
      "statusLabel": "Pago",
      "billingType": "PIX",
      "amount": 79.9,
      "netAmount": 76.91,
      "feeAmount": 2.99,
      "description": "Pedido 123",
      "dueDate": "2026-06-15",
      "createdAt": "2026-05-30T10:00:00.000Z",
      "customer": {
        "id": "clx_customer",
        "name": "Cliente Exemplo",
        "taxId": "12345678909"
      }
    }],
    "page": 1,
    "pageSize": 50,
    "total": 1,
    "pages": 1
  },
  "requestId": "req_abc"
}
curl -X GET 'https://api.goatpay.com.br/v1/billings/list?page=1&pageSize=50' \
  -H 'X-API-Key: gp_live_SUA_CHAVE'
{
  "success": true,
  "message": "Lista de cobranças avulsas",
  "data": {
    "items": [{
      "id": "clx_billing",
      "status": "RECEIVED",
      "statusLabel": "Pago",
      "billingType": "PIX",
      "amount": 79.9,
      "netAmount": 76.91,
      "feeAmount": 2.99,
      "description": "Pedido 123",
      "dueDate": "2026-06-15",
      "createdAt": "2026-05-30T10:00:00.000Z",
      "customer": {
        "id": "clx_customer",
        "name": "Cliente Exemplo",
        "taxId": "12345678909"
      }
    }],
    "page": 1,
    "pageSize": 50,
    "total": 1,
    "pages": 1
  },
  "requestId": "req_abc"
}

Parâmetros de query

page
number
Página (padrão 1).
pageSize
number
Itens por página (padrão 50, máx. 100).
dateFrom
string
ISO 8601 — início (createdAt).
dateTo
string
ISO 8601 — fim (createdAt).
status
string
PENDING, RECEIVED, OVERDUE, CANCELED, REFUNDED ou FAILED.
billingType
string
BOLETO, CREDIT_CARD, DEBIT_CARD ou VOUCHER.
salesCustomerId
string
Filtrar por cliente cadastrado.
externalReference
string
Referência externa (transação ledger).
Busca em id, descrição, externalId da cobrança ou nome do cliente.

Authorizations

X-API-Key
string
header
required

Chave gp_live_... criada em Integrações → Chaves de API no dashboard.

Query Parameters

page
integer
default:1
Required range: x >= 1
pageSize
integer
default:50
Required range: 1 <= x <= 100

Response

200 - application/json

Operação concluída.

success
boolean
required
Example:

true

message
string
required
Example:

"Operação concluída com sucesso"

data
object
required
requestId
string